Last Comment Bug 494055 - Automatically do XULRunner releases with Firefox ones
: Automatically do XULRunner releases with Firefox ones
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86 All
: -- normal (vote)
: ---
Assigned To: Lukas Blakk [:lsblakk] use ?needinfo
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 15:37 PDT by Nick Thomas [:nthomas]
Modified: 2013-08-12 21:54 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
add xulrunner dep scheduler to staging-1.9-master (1.55 KB, patch)
2009-05-21 14:18 PDT, Lukas Blakk [:lsblakk] use ?needinfo
nthomas: review+
Details | Diff | Splinter Review
add xulrunner dep scheduler to production-1.9-master (1.43 KB, patch)
2009-05-21 14:19 PDT, Lukas Blakk [:lsblakk] use ?needinfo
nthomas: review+
Details | Diff | Splinter Review
Combined prod/stag xulrunner dep scheduler with indents fixed (3.30 KB, patch)
2009-05-22 07:49 PDT, Lukas Blakk [:lsblakk] use ?needinfo
bhearsum: checked‑in+
Details | Diff | Splinter Review

Description Nick Thomas [:nthomas] 2009-05-20 15:37:20 PDT
We've been (semi-manually) doing XULRunner 1.9.0.x releases with Firefox 3.0.x ones for a while now, and should just automate it in Bootstrap. We should do the same for Firefox 3.5 in the buildbot system.

AFAICT the main thing to sort out is the different file layout for staging, eg
 http://ftp.mozilla.org/pub/mozilla.org/xulrunner/releases/1.9.0.10/
and handling the config.
Comment 1 Dave Townsend [:mossop] 2009-05-21 01:10:23 PDT
I believe Lukas is already tasked with following this through.
Comment 2 Lukas Blakk [:lsblakk] use ?needinfo 2009-05-21 14:18:36 PDT
Created attachment 378949 [details] [diff] [review]
add xulrunner dep scheduler to staging-1.9-master
Comment 3 Lukas Blakk [:lsblakk] use ?needinfo 2009-05-21 14:19:17 PDT
Created attachment 378950 [details] [diff] [review]
add xulrunner dep scheduler to production-1.9-master
Comment 4 Nick Thomas [:nthomas] 2009-05-21 14:24:52 PDT
Comment on attachment 378949 [details] [diff] [review]
add xulrunner dep scheduler to staging-1.9-master

r+. Feel free to make the indenting of xr and partner schedulers consistent with the others on checkin.
Comment 5 Nick Thomas [:nthomas] 2009-05-21 14:25:50 PDT
Comment on attachment 378950 [details] [diff] [review]
add xulrunner dep scheduler to production-1.9-master

r+. Same again for the indenting.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2009-05-22 07:49:33 PDT
Created attachment 379148 [details] [diff] [review]
Combined prod/stag xulrunner dep scheduler with indents fixed
Comment 7 Ben Hearsum (:bhearsum) 2009-05-22 07:59:12 PDT
Comment on attachment 379148 [details] [diff] [review]
Combined prod/stag xulrunner dep scheduler with indents fixed

Checking in automation/production-1.9/master.cfg;
/cvsroot/mozilla/tools/buildbot-configs/automation/production-1.9/master.cfg,v  <--  master.cfg
new revision: 1.54; previous revision: 1.53
done
Checking in automation/staging-1.9/master.cfg;
/cvsroot/mozilla/tools/buildbot-configs/automation/staging-1.9/master.cfg,v  <--  master.cfg
new revision: 1.53; previous revision: 1.52
done
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2009-05-26 07:20:47 PDT
So the dep scheduler is in place, and the notes on doing a XULRunner release from https://bugzilla.mozilla.org/show_bug.cgi?id=476853#c5 are now in the build notes for 3.0.12 (the next scheduled release).  It just needs to become standard practice that the xr bootstrap config file is version bumped at the same time as the fx one and then the release should be as automated as it can be for now.
Comment 9 Lukas Blakk [:lsblakk] use ?needinfo 2009-05-26 07:21:16 PDT
BuildNotes are here, btw: https://wiki.mozilla.org/Releases/Firefox_3.0.12/BuildNotes
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2009-07-08 05:12:16 PDT
So the dep scheduler isn't firing properly, I will look into this and test on staging.
Comment 11 Lukas Blakk [:lsblakk] use ?needinfo 2009-08-27 19:22:27 PDT
Closing this.  Turns out that the automation stops when a step fails and has to be redone, thus all other steps are forced manually thereafter.  This is what happened on my build for 3.0.12 and so I thought this wasn't working but it worked with 3.0.13.
Comment 12 Chris Cooper [:coop] 2010-03-11 14:14:57 PST
Moving closed Future bugs into Release Engineering in preparation for removing the Future component.

Note You need to log in before you can comment on or make changes to this bug.